Отказ в обслуживании в Avahi

Дата публикации:
17.03.2009
Дата изменения:
04.05.2009
Всего просмотров:
1585
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Avahi 0.x
Уязвимые версии: Avahi 0.6.23, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести DoS атаку.

Уязвимость существует из-за того, что функция "originates_from_local_legacy_unicast_socket()" в файле avahi-core/server.c некорректно определяет локальные отраженные пакеты. Удаленный пользователь может с помощью юникастных запросов заставить приложение потребить большое количество системных ресурсов.

Для успешной эксплуатации уязвимости функционал reflector должен быть включен (не является значением по умолчанию).

URL производителя: avahi.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Журнал изменений:

04.05.2009
Изменено описание уязвимости.

Ссылки: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=517683

или введите имя

CAPTCHA